HardwareTier
Get all hardware tiers
Get all hardware tiers. Required permissions: ViewHardwareTiers
GET
/
api
/
hardwaretiers
/
v1
/
hardwaretiers
Get all hardware tiers
curl --request GET \
--url https://mycluster.domino.tech/api/hardwaretiers/v1/hardwaretiers \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/hardwaretiers/v1/hardwaretiers"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/hardwaretiers/v1/hardwaretiers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hardwareTiers": [
{
"centsPerMinute": 123,
"creationTime": "2022-03-12T02:13:44.467Z",
"flags": {
"isArchived": true,
"isDataAnalystTier": true,
"isDefault": true,
"isGlobal": true,
"isVisible": true,
"isDefaultForModelApi": true,
"isModelApiTier": true
},
"id": "small-k8s",
"metadata": {},
"name": "My-HardwareTier",
"podCustomization": {
"additionalAnnotations": {},
"additionalLabels": {},
"additionalLimits": {},
"additionalRequests": {},
"capabilities": [
"<string>"
],
"hugepages": {}
},
"resources": {
"allowSharedMemoryToExceedDefault": true,
"cores": 1,
"memory": {
"units": "MB",
"value": 123
},
"coresLimit": 123,
"memoryLimit": {
"units": "MB",
"value": 123
},
"memorySwapLimit": {
"units": "MB",
"value": 123
},
"sharedMemoryLimit": {
"units": "MB",
"value": 123
}
},
"updateTime": "2022-03-12T02:13:44.467Z",
"availabilityZones": [
"<string>"
],
"capacity": {
"availableCapacityWithoutLaunching": 123,
"capacityLevel": "CanExecuteWithCurrentInstances",
"executingRuns": 123,
"maxAvailableCapacity": 123,
"maxConcurrentRuns": 123,
"maxNumberOfExecutors": 123,
"numberOfExecutors": 123,
"queuedRuns": 123
},
"computeClusterRestrictions": {
"restrictToDask": true,
"restrictToMpi": true,
"restrictToRay": true,
"restrictToSlurm": true,
"restrictToSpark": true
},
"dataPlaneId": "<string>",
"dataPlaneName": "<string>",
"gpuConfiguration": {
"gpuKey": "<string>",
"numberOfGpus": 123
},
"maxSimultaneousExecutions": 123,
"nodePool": "<string>",
"overProvisioning": {
"daysOfWeek": [
"<string>"
],
"fromTime": "<string>",
"instances": 123,
"schedulingEnabled": true,
"timezone": "<string>",
"toTime": "<string>"
},
"tags": [
"<string>"
]
}
],
"metadata": {
"notices": [
"<string>"
],
"requestId": "<string>",
"limit": 123,
"offset": 123,
"totalCount": 123
}
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
nucleus_DominoApiKeynucleus_BearerAuthentication
Query Parameters
How many hardware tiers from the start to skip. Defaults to 0.
How many hardware tiers to fetch. Defaults to 10.
Whether to include archived hardware tiers. Defaults to false.
Last modified on August 18, 2026
Related topics
Get a hardware tier by IdAdvanced hardware tier settingsHardware tier best practicesManage a hardware tierWas this page helpful?
⌘I
Get all hardware tiers
